Delete file
curl --request DELETE \
--url https://api.rootkey.ai/api-v1/platform/files/{fileId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.rootkey.ai/api-v1/platform/files/{fileId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.rootkey.ai/api-v1/platform/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": 137
}{
"error": {
"requestId": "<string>",
"message": "<string>",
"errorCode": "<string>",
"docUrl": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"requestId": "<string>",
"message": "<string>",
"errorCode": "<string>",
"docUrl": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Files
Delete file
DELETE
/
platform
/
files
/
{fileId}
Delete file
Authorizations
ROOTKey API key (rk_live_... for production, rk_test_... for the test network).
Path Parameters
Query Parameters
Blockchain address of the vault that owns the file
Response
File deleted
Polygon chain ID (137 in production, 80002 on Amoy testnet)
Example:
137
Was this page helpful?
⌘I

